import request from '@/utils/request'

// 获取用户列表
export function getUser(parameter) {
  return request({
    url: '/api/customer',
    method: 'get',
    params: parameter
  })
}
// 获取用户详情
export function getUserDetails(parameter) {
  return request({
    url: '/api/customer/' + parameter,
    method: 'get',
  })
}

// 添加用户
export function addUser(parameter) {
  return request({
    url: '/api/customer',
    method: 'post',
    data: parameter
  })
}

// 编辑用户
export function putUser(parameter) {
  return request({
    url: '/api/customer',
    method: 'put',
    data: parameter
  })
}

// 重置用户密码
export function putResetUser(parameter) {
  return request({
    url: '/api/customer/pwd/reset',
    method: 'put',
    data: parameter
  })
}

// 删除用户
export function delUser(parameter) {
  return request({
    url: '/api/customer',
    method: 'delete',
    data: parameter
  })
}
